<?php

class Evenement
{
    /**
     * @var string Nom Evènement
     */
    private string $nameEvent;

    /**
     * @var string date Evenement
     */
    private string $date;

    /**
     * @var Compte Organisateur
     */
    private Compte $organisator;

    /**
     * @var array Liste des Participants
     */
    private array $participants;

    /**
     * @param string $nameEvent
     * @param string $date
     * @param Compte $organisator
     * @param array $participants
     */
    public function __construct(string $nameEvent,string $date,Compte $organisator,
                                array $participants)
    {
        $this->nameEvent = $nameEvent;
        $this->date = $date;
        $this->organisator = $organisator;
        $this->participants = $participants;
    }

    public function getNameEvent() : string
    {
        return $this->nameEvent;
    }

    public function getDateEvent() : string
    {
        return $this->date;
    }

    public function getParticipants() : array
    {
        return $this->participants;
    }


}