<?php

class Offre
{

    /**
     * @var string intitulé de l'offre
     */
    private string $name;

    /**
     * @var string Entreprise de l'offre
     */
    private string $company;

    /**
     * @var Compte recruteur
     */
    private Compte $recruiter;

    /**
     * @var string description de l'offre
     */
    private string $description;

    public function __construct(string $offername,string $offercompany,
                                string $offermanager,string $description)
    {
        $this->name = $offername;
        $this->company = $offercompany;
        $this->recruiter = $offermanager;
        $this->description = $description;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getCompany(): string
    {
        return $this->company;
    }

    /**
     * @return Compte|string
     */
    public function getRecruiter(): Compte|string
    {
        return $this->recruiter;
    }

    /**
     * @return string
     */
    public function getDescription(): string
    {
        return $this->description;
    }





}