<?php

class Compte{

    /**
     * @var string Pseudo
     */
    private string $pseudo;
    /**
     * @var string Email
     */
    private string $email;
    /**
     * @var string Mot de passe
     */
    private string $motDePasse;

    /**
     * @param string $pseudo
     * @param string $email
     * @param string $motDePasse
     */
    public function __construct(string $pseudo, string $email, string $motDePasse)
    {
        $this->pseudo = $pseudo;
        $this->email = $email;
        $this->motDePasse = $motDePasse;
    }

    /**
     * @return string
     */
    public function getPseudonyme() : string
    {
        return $this->pseudo;
    }

    /**
     * @return string
     */
    public function getEmail() : string
    {
        return $this->email;
    }

    /**
     * @return string
     */
    public function getMotDePasse(): string
    {
        return $this->motDePasse;
    }
}